# Generated by Django 2.0.5 on 2018-08-29 12:20

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True
    dependencies = [
        ('accounts', '0014_auto_20180529_1036_squashed_0032_auto_20180801_0515'),
    ]

    operations = [
        migrations.CreateModel(
            name='CompletedRenewal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('device_serial_number', models.CharField(max_length=100, verbose_name='Device Serial Number')),
                ('device_info', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('renewal_info', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renewal_requests_history', to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renewal_requests_history', to='accounts.Provider')),
                ('device_crm_id', models.CharField(default=1, max_length=100, verbose_name='Device ID from CRM.')),
                ('notes', models.TextField(blank=True, null=True)),
                ('status', models.CharField(choices=[('1', 'Renewed'), ('2', 'Rejected'), ('3', 'Marked as Do Not Renew'), ('5', 'Terminated'), ('4', 'Marked for Research')], default=1, max_length=2, verbose_name='Renewal Status')),
            ],
            options={
                'verbose_name': 'Completed Renewal',
                'verbose_name_plural': 'Completed Renewals',
                'ordering': ['-updated_on'],
            },
        ),
        migrations.CreateModel(
            name='RenewalRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('device_serial_number', models.CharField(max_length=100, verbose_name='Device Serial Number')),
                ('device_info', django.contrib.postgres.fields.jsonb.JSONField(verbose_name='Device related information')),
                ('target_service_level', models.CharField(choices=[('1', '8x5xNBD'), ('2', '24x7x4'), ('3', '24x7x2'), ('4', '24x7x4-OS'), ('5', '24x7x2-OS')], max_length=100, verbose_name='Target Service Level')),
                ('renewal_type', models.CharField(choices=[('1', 'Renew'), ('2', 'Do Not Renew'), ('3', 'Terminate'), ('4', 'Research')], max_length=20, verbose_name='Renewal Type')),
                ('notes', models.TextField(blank=True, null=True, verbose_name='Notes')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renewal_requests', to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renewal_requests', to='accounts.Provider')),
                ('device_crm_id', models.CharField(default=1, max_length=100, verbose_name='Device ID from CRM.')),
            ],
            options={
                'verbose_name': 'Renewal Request',
                'verbose_name_plural': 'Renewal Requests',
                'ordering': ['-updated_on'],
            },
        ),
        migrations.CreateModel(
            name='DoNotRenewDevice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('serial_number', models.CharField(max_length=100)),
            ],
        ),
    ]
